- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# ifd.hpp File Reference

Encoding and decoding of IFD (Image File Directory) data. More...

`#include "types.hpp"`
`#include <string>`
`#include <vector>`
`#include <iosfwd>`

Include dependency graph for ifd.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | Exiv2
## Classes
class | Exiv2::Entry
| Data structure for one IFD directory entry. See the description of class Ifd for an explanation of the supported modes for memory allocation. More...
class | Exiv2::FindEntryByIdx
| Unary predicate that matches an Entry with a given index. More...
class | Exiv2::FindEntryByTag
| Unary predicate that matches an Entry with a given tag. More...
class | Exiv2::Ifd
| Models an IFD (Image File Directory). More...
struct | Exiv2::Ifd::PreEntry
| Helper structure to build IFD entries.
## Typedefs
typedef std::vector< Entry > | Exiv2::Entries
| Container type to hold all IFD directory entries.
## Functions
bool | Exiv2::cmpEntriesByTag (const Entry &lhs, const Entry &rhs)
| Compare two IFD entries by tag. Return true if the tag of entry lhs is less than that of rhs.
bool | Exiv2::cmpPreEntriesByOffset (const Ifd::PreEntry &lhs, const Ifd::PreEntry &rhs)
| Compare two 'pre-IFD entries' by offset, taking care of special cases where one or both of the entries don't have an offset. Return true if the offset of entry lhs is less than that of rhs, else false. By definition, entries without an offset are greater than those with an offset.

## Detailed Description

Encoding and decoding of IFD (Image File Directory) data.

Version:
  Rev
    808

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  09-Jan-04, ahu: created
  11-Feb-04, ahu: isolated as a component